id: kayak-phish

info:
  name: kayak phishing Detection
  author: rxerium
  severity: info
  description: |
    A kayak phishing website was detected
  reference:
    - https://kayak.co.uk
  metadata:
    max-request: 1
  tags: phishing,kayak,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Search Flights, Hotels &amp; Car Hire | KAYAK'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"kayak.co.uk")'
# digest: 490a0046304402204aff82d137185d895d3501d239558bc7a172bfe7c42cbab3d8bd8be84ca8690902200115c76ab465c448aab7db9dd1f4ec7e63252e207cf8f101c4ce6eb20d963171:922c64590222798bb761d5b6d8e72950